import { ApiProperty } from '@nestjs/swagger';
import { IsEmail, IsMongoId, IsNotEmpty, IsString } from 'class-validator';
import { Types } from 'mongoose';

export class PendingStructureDto {
  @IsNotEmpty()
  @IsEmail()
  @ApiProperty({ type: String })
  readonly userEmail: string;

  @IsNotEmpty()
  @IsMongoId()
  @ApiProperty({ type: Types.ObjectId })
  readonly structureId: Types.ObjectId;

  @IsNotEmpty()
  @IsString()
  @ApiProperty({ type: String })
  structureName: string;

  @ApiProperty({ type: Date })
  updatedAt?: Date;

  @ApiProperty({ type: Date })
  createdAt: Date;
}
