import { Test } from '@nestjs/testing';
import { version } from '../package.json';
import { AppController } from './app.controller';

describe('AppController', () => {
  let appController: AppController;

  beforeEach(async () => {
    const module = await Test.createTestingModule({
      controllers: [AppController],
    }).compile();
    appController = module.get<AppController>(AppController);
  });

  describe('healthcheck', () => {
    it('should return healthcheck', async () => {
      const healthcheck = appController.healthcheck();
      expect(healthcheck.status).toBe('API Online');
      expect(healthcheck.uptime).not.toBeNull();
      expect(healthcheck.version).toBe(version);
    });
  });
});
