import { Controller, Get } from '@nestjs/common';
import { version } from '../package.json';
@Controller()
export class AppController {
  private start = Date.now();

  @Get('healthcheck')
  healthcheck() {
    const now = Date.now();
    return {
      status: 'API Online',
      uptime: Number((now - this.start) / 1000).toFixed(0),
      version: version,
    };
  }

  @Get('config')
  async config() {
    // temp IS_OPENSHIFT: on appsoc servers, GHOST_HOST_AND_PORT is local network server name
    return {
      ghostAdminUrl:
        ((process.env.IS_OPENSHIFT ? process.env.GHOST_HOST_AND_PORT : process.env.GHOST_URL_APPSOC) ||
          'http://localhost:2368') + '/ghost/',
      matomoTrackerUrl: process.env.MATOMO_URL,
      matomoSiteId: process.env.MATOMO_SITEID,
    };
  }
}
