import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty } from 'class-validator';

export class AppointmentDto {
  @IsNotEmpty()
  @ApiProperty({ type: String })
  readonly name: string;

  @IsNotEmpty()
  @ApiProperty({ type: String })
  surname: string;

  @ApiProperty({ type: String })
  readonly email?: string;

  @ApiProperty({ type: String })
  readonly phone?: string;

  @IsNotEmpty()
  @ApiProperty({
    example: [{ text: 'CAF' }, { text: 'France Connect' }],
  })
  readonly onlineDemarcheType: string[];

  @IsNotEmpty()
  @ApiProperty({
    example: { structureName: 'my structure', structureMail: 'structure@nowhere69.com', structurePhone: '00 00' },
  })
  readonly structureOrientator: { structureName: string; structureMail?: string; structurePhone?: string };

  @IsNotEmpty()
  @ApiProperty({ type: String })
  readonly structureRDV: string;

  @IsNotEmpty()
  @ApiProperty({ type: String })
  readonly socialWorkerId: string;

  @ApiProperty({ type: String })
  readonly details?: string;
}
