export const config = {
  url: process.env.MAIL_URL,
  token: process.env.MAIL_TOKEN,
  host: process.env.APP_HOST || 'localhost',
  protocol: 'http',
  port: '4200',
  from: 'noreplyinclusionnumerique@grandlyon.com',
  from_name: '[LOCAL] Réseau des acteurs de la médiation numérique',
  replyTo: 'noreplyinclusionnumerique@grandlyon.com',
  templates: {
    directory: './src/mailer/mail-templates',
    adminEmployerCreate: {
      ejs: 'adminEmployerCreate.ejs',
      json: 'adminEmployerCreate.json',
    },
    adminJobCreate: {
      ejs: 'adminJobCreate.ejs',
      json: 'adminJobCreate.json',
    },
    adminStructureClaim: {
      ejs: 'adminStructureClaim.ejs',
      json: 'adminStructureClaim.json',
    },
    adminStructureCreate: {
      ejs: 'adminStructureCreate.ejs',
      json: 'adminStructureCreate.json',
    },
    adminStructureImport: {
      ejs: 'adminStructureImport.ejs',
      json: 'adminStructureImport.json',
    },
    adminUserCreate: {
      ejs: 'adminUserCreate.ejs',
      json: 'adminUserCreate.json',
    },
    appointment: {
      ejs: 'appointment.ejs',
      json: 'appointment.json',
    },
    changeEmail: {
      ejs: 'changeEmail.ejs',
      json: 'changeEmail.json',
    },
    contactMessage: {
      ejs: 'contactMessage.ejs',
      json: 'contactMessage.json',
    },
    resetPassword: {
      ejs: 'resetPassword.ejs',
      json: 'resetPassword.json',
    },
    sosTechEMail: {
      ejs: 'sosTechEmail.ejs',
      json: 'sosTechEmail.json',
    },
    structureCancelDelete: {
      ejs: 'structureCancelDelete.ejs',
      json: 'structureCancelDelete.json',
    },
    structureClaimValidation: {
      ejs: 'structureClaimValidation.ejs',
      json: 'structureClaimValidation.json',
    },
    structureDeletionNotification: {
      ejs: 'structureDeletionNotification.ejs',
      json: 'structureDeletionNotification.json',
    },
    structureErrorReport: {
      ejs: 'structureErrorReport.ejs',
      json: 'structureErrorReport.json',
    },
    structureJoinRequest: {
      ejs: 'structureJoinRequest.ejs',
      json: 'structureJoinRequest.json',
    },
    structureModificationNotification: {
      ejs: 'structureModificationNotification.ejs',
      json: 'structureModificationNotification.json',
    },
    structureOutdatedInfo: {
      ejs: 'structureOutdatedInfo.ejs',
      json: 'structureOutdatedInfo.json',
    },
    structureToBeDeleted: {
      ejs: 'structureToBeDeleted.ejs',
      json: 'structureToBeDeleted.json',
    },
    tempUserRegistration: {
      ejs: 'tempUserRegistration.ejs',
      json: 'tempUserRegistration.json',
    },
    userAddedToStructure: {
      ejs: 'userAddedToStructure.ejs',
      json: 'userAddedToStructure.json',
    },
    verify: {
      ejs: 'verify.ejs',
      json: 'verify.json',
    },
  },
};
