import { Test } from '@nestjs/testing';
import { MailerModule } from '../mailer/mailer.module';
import { ContactController } from './contact.controller';
import { ContactService } from './contact.service';
import { ContactMessage } from './schemas/contact-message.schema';

describe('ContactController', () => {
  let contactController: ContactController;

  const contactServiceMock = {
    sendMessage: jest.fn(),
  };

  beforeEach(async () => {
    const module = await Test.createTestingModule({
      imports: [MailerModule],
      providers: [
        {
          provide: ContactService,
          useValue: contactServiceMock,
        },
      ],
      controllers: [ContactController],
    }).compile();

    contactController = module.get<ContactController>(ContactController);
  });

  it('should be defined', () => {
    expect(contactController).toBeDefined();
  });

  it('should call sendMessage', async () => {
    const spyer = jest.spyOn(contactServiceMock, 'sendMessage');
    await contactController.sendContactMessage({ contactMessage: new ContactMessage() });
    expect(spyer).toHaveBeenCalledTimes(1);
    expect(spyer).toHaveBeenCalledWith(new ContactMessage());
  });
});
