import { Controller, Get, Logger, UseGuards } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { JwtAuthGuard } from '../../auth/guards/jwt-auth.guard';
import { Roles } from '../../users/decorators/roles.decorator';
import { RolesGuard } from '../../users/guards/roles.guard';
import { EspaceCoopCNFS } from '../schemas/espaceCoopCNFS.schema';
import { EspaceCoopService } from './../services/espaceCoop.service';

@ApiTags('espaceCoop')
@Controller('espaceCoop')
export class EspaceCoopController {
  private readonly logger = new Logger(EspaceCoopController.name);
  constructor(private readonly espaceCoopService: EspaceCoopService) {}

  @Get('cnfs')
  @UseGuards(JwtAuthGuard, RolesGuard)
  @Roles('admin')
  public async loadEspaceCoopCNFS(): Promise<EspaceCoopCNFS[]> {
    return this.espaceCoopService.loadEspaceCoopCNFS();
  }
}
