import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { OrientationIndicator, OrientationIndicatorSchema } from './schemas/orientation-indicator.schema';
import { IndicatorController } from './controllers/indicator.controller';
import { IndicatorService } from './services/indicator.service';
import { UsersModule } from '../users/users.module';
import { User, UserSchema } from '../users/schemas/user.schema';
import { StructuresModule } from '../structures/structures.module';

@Module({
  imports: [
    MongooseModule.forFeature([
      { name: OrientationIndicator.name, schema: OrientationIndicatorSchema },
      { name: User.name, schema: UserSchema },
    ]),
    UsersModule,
    HttpModule,
    StructuresModule,
  ],
  controllers: [IndicatorController],
  providers: [IndicatorService],
  exports: [IndicatorService],
})
export class IndicatorModule {}
