import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();

  const cursor = db.collection('structures').find({});
  let document;
  while ((document = await cursor.next())) {
    const newDoc = document;
    if (document.nbComputers === null) {
      newDoc.nbComputers = 0;
    }
    if (document.nbPrinters === null) {
      newDoc.nbPrinters = 0;
    }
    if (document.nbScanners === null) {
      newDoc.nbScanners = 0;
    }
    if (document.nbTablets === null) {
      newDoc.nbTablets = 0;
    }
    if (document.nbNumericTerminal === null) {
      newDoc.nbNumericTerminal = 0;
    }
    await db.collection('structures').updateOne({ _id: document._id }, [{ $set: newDoc }]);
  }
  console.log(`Update done`);
};

export const down = async () => {
  const db: Db = await getDb();
  const cursor = db.collection('structures').find({});

  let document;
  while ((document = await cursor.next())) {
    const newDoc = document;
    if (document.nbComputers === 0) {
      newDoc.nbComputers = null;
    }
    if (document.nbPrinters === 0) {
      newDoc.nbPrinters = null;
    }
    if (document.nbScanners === 0) {
      newDoc.nbScanners = null;
    }
    if (document.nbTablets === 0) {
      newDoc.nbTablets = null;
    }
    if (document.nbNumericTerminal === 0) {
      newDoc.nbNumericTerminal = null;
    }
    await db.collection('structures').updateOne({ _id: document._id }, [{ $set: newDoc }]);
  }
  console.log(`Update done`);
};
