import { Db } from 'mongodb';
import { StructureDocument } from '../../structures/schemas/structure.schema';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  const cursor = db.collection('structures').find({});
  let document;
  while ((document = await cursor.next())) {
    const newDoc: StructureDocument = removeUnknownContactMail(document);
    await db.collection('structures').updateOne({ _id: document._id }, [{ $set: newDoc }]);
  }
  console.log('Update done: Contact emails unknown@unknown.com emptied');
};

export const down = async () => {
  // Nothing can be done since we can't know which null contactMail fields were previously filled with unknow@unknown.com
  console.log('Downgrade done');
};

function removeUnknownContactMail(doc: StructureDocument): StructureDocument {
  if (doc.contactMail && doc.contactMail === 'unknown@unknown.com') {
    doc.contactMail = null;
  }
  return doc;
}
