import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  await db.collection('categories').updateOne({ id: 'publicOthers' }, { $set: { id: 'genre', name: 'Genre' } });
  await db.collection('structures').updateMany({}, { $rename: { 'categories.publicOthers': 'categories.genre' } });

  console.log('Update done: Categorie "Autres" -> "Genre"');
};

export const down = async () => {
  const db: Db = await getDb();
  await db.collection('categories').updateOne({ id: 'genre' }, { $set: { id: 'publicOthers', name: 'Autres' } });
  await db.collection('structures').updateMany({}, { $rename: { 'categories.genre': 'categories.publicOthers' } });

  console.log('Update done: Categorie "Genre" -> "Autres"');
};
