import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  await db.collection('categories').findOneAndUpdate({ id: 'baseSkills' }, [{ $unset: 'modules.apticIds' }]);
  await db.collection('categories').findOneAndUpdate({ id: 'advancedSkills' }, [{ $unset: 'modules.apticIds' }]);
  console.log('Upgrade done : aptic IDs removed from categories collection');
};

export const down = async () => {
  const db: Db = await getDb();

  // Base Skills
  const newBaseSkillsModule = {
    modules: [
      {
        id: 'computer',
        name: "Prise en main de l'ordinateur",
        apticIds: ['1'],
      },
      {
        id: 'internet',
        name: "Utilisation d'Internet",
        apticIds: ['11', '34'],
      },
      {
        id: 'smartphone',
        name: 'Prise en main du smartphone, de la tablette',
        apticIds: ['38', '74', '77'],
      },
      {
        id: 'mail',
        name: 'Création et gestion de sa boîte mail',
        apticIds: ['48'],
      },
      {
        id: 'work',
        name: "Recherche d'emploi en ligne",
        apticIds: ['6', '20', '124', '125', '127'],
      },
      {
        id: 'officeAutomation',
        name: 'Bureautique et mise en page',
        apticIds: ['66', '67', '68', '69'],
      },
      {
        id: 'communication',
        name: 'Outils de communication (réseaux sociaux, visio...)',
        apticIds: ['5', '65'],
      },
      {
        id: 'data',
        name: 'Gérer ses données',
        apticIds: ['51', '52', '54'],
      },
      {
        id: 'scolarity',
        name: 'Scolarité (Pronote, laclasse.com...)',
        apticIds: ['82'],
      },
    ],
  };
  await db
    .collection('categories')
    .findOneAndUpdate({ id: 'baseSkills' }, { $set: { modules: newBaseSkillsModule.modules } });

  // Advanced Skills
  const newAdvancedSkillsModule = {
    modules: [
      {
        id: 'cyberAndConf',
        name: 'Cybersécurité et confidentialité',
        apticIds: ['1', '2', '96', '97', '98'],
      },
      {
        id: 'parenting',
        name: 'Parentalité et éducation numérique',
        apticIds: ['3'],
      },
      {
        id: 'videoGames',
        name: 'Découverte des jeux vidéos',
        apticIds: ['22'],
      },
      {
        id: 'numericCreate',
        name: 'Création numérique (FabLab)',
        apticIds: ['9'],
      },
      {
        id: 'fakeNews',
        name: 'Vérifier les informations, repérer les fake news',
        apticIds: ['39'],
      },
      {
        id: 'photoVideo',
        name: 'Création photo et vidéo',
      },
      {
        id: 'devAndRobots',
        name: 'Programmation et robotique',
      },
      {
        id: 'numericalCitizenship',
        name: 'Citoyenneté numérique',
      },
      {
        id: 'responsibleDigital',
        name: 'Numérique responsable',
      },
    ],
  };
  await db
    .collection('categories')
    .findOneAndUpdate({ id: 'advancedSkills' }, { $set: { modules: newAdvancedSkillsModule.modules } });

  console.log('Downgrade done : restored aptic IDs in categories collection');
};
