import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  await db.collection('structures').updateMany({}, { $unset: { 'categories.equipmentsServices': 1 } });
  await db.collection('categories').deleteOne({ id: 'equipmentsServices' });
  console.log('Updated : category "Autres services" removed');
};

export const down = async () => {
  const db: Db = await getDb();
  await db.collection('categories').insertOne({
    modules: [
      {
        id: 'donDeMateriels',
        name: 'Prêt / don de matériels',
      },
      {
        id: 'reconditionnementsDeMateriel',
        name: 'Reconditionnements de matériel',
      },
      {
        id: 'accesLivresInformatiques',
        name: 'Accès à des revues ou livres informatiques et numériques',
      },
    ],
    name: 'Autres services',
    theme: 'Matériel et wifi',
    id: 'equipmentsServices',
  });
  console.log('Downgraded : category "Autres services" added');
};
