import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  const documents = [
    { category: 'Publique', value: 'AFPA', selectable: 'true' },
    { category: 'Publique', value: 'centreDeGestion', selectable: 'true' },
    { category: 'Publique', value: 'EPIC', selectable: 'true' },
  ];
  try {
    await db.collection('structuretype').insertMany(documents);
    console.log('Updated : AFPA, centreDeGestion and EPIC added to "StructureType" collection');
  } catch (error) {
    console.error('Error updating documents:', error);
  }
};

export const down = async () => {
  const db: Db = await getDb();
  const filter = {
    $or: [{ value: 'AFPA' }, { value: 'centreDeGestion' }, { value: 'EPIC' }],
  };
  try {
    await db.collection('structuretype').deleteMany(filter);
    console.log('Downgraded : AFPA, centreDeGestion and EPIC removed from "StructureType" collection');
  } catch (error) {
    console.error('Error downgrading documents:', error);
  }
};
