import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    const db: Db = await getDb();
    await db
      .collection('categories')
      .updateOne(
        { id: 'onlineProcedures', 'modules.id': 'foreigners' },
        { $set: { 'modules.$.name': 'Titres de séjour, de voyage (ANEF)' } }
      );

    console.log('Update done: "Démarches liées aux étrangers" -> "Titres de séjour, de voyage (ANEF)"');
  } catch (error) {
    console.error(`Error updating categories/onlineProcedures/foreigners' name :  ${error}`);
  }
};

export const down = async () => {
  try {
    const db: Db = await getDb();
    await db
      .collection('categories')
      .updateOne(
        { id: 'onlineProcedures', 'modules.id': 'foreigners' },
        { $set: { 'modules.$.name': 'Démarches liées aux étrangers' } }
      );

    console.log('Downgrade done: "Titres de séjour, de voyage (ANEF)" -> "Démarches liées aux étrangers"');
  } catch (error) {
    console.error(`Error updating categories/onlineProcedures/foreigners' name :  ${error}`);
  }
};
