import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    let document;
    const db: Db = await getDb();
    const cursor = db.collection('categories').find({ name: 'Démarches en ligne' });
    while ((document = await cursor.next())) {
      await db.collection('categories').updateOne({ _id: document._id }, { $set: { theme: 'Compétences numériques' } });
    }
    console.log(`Update done: 'Démarches en ligne' theme has been changed to 'Compétences numériques'`);
  } catch (error) {
    console.error('Error while changing theme:', error);
  }
};

export const down = async () => {
  const db: Db = await getDb();
  try {
    let document;
    const cursor = db.collection('categories').find({ name: 'Démarches en ligne' });
    while ((document = await cursor.next())) {
      await db.collection('categories').updateOne({ _id: document._id }, { $set: { theme: 'Démarches en ligne' } });
    }
    console.log(`Downgrade done: 'Compétences numériques' theme has been changed back to 'Démarches en ligne'`);
  } catch (error) {
    console.error('Error while restoring theme:', error);
  }
};
