import { Body, Controller, Get, Post, Query } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { NewsletterService } from './newsletter.service';

@ApiTags('newsletter')
@Controller('newsletter')
export class NewsletterController {
  constructor(private newsletterService: NewsletterService) {}

  @Get()
  public async findOne(@Query('email') email: string) {
    return this.newsletterService.findNewsletterSubscription(email);
  }

  @Post('subscribe')
  public async newsletterSubscribe(@Body() email: { email: string }) {
    return this.newsletterService.newsletterSubscribe(email.email);
  }

  @Post('unsubscribe')
  public async newsletterUnsubscribe(@Body() email: { email: string }) {
    return this.newsletterService.newsletterUnsubscribe(email.email);
  }
}
