import { Type } from 'class-transformer';
import { IsNotEmpty, ValidateNested } from 'class-validator';
import { StructureDto } from './structure.dto';

export class CreateStructureDto {
  @ValidateNested({ each: true })
  @Type(() => StructureDto)
  structure: StructureDto;

  @IsNotEmpty()
  userEmail: string;
}
