import { Injectable, CanActivate, ExecutionContext } from '@nestjs/common';
import { Reflector } from '@nestjs/core';
import { User } from '../schemas/user.schema';
import { RolesGuard } from './roles.guard';

@Injectable()
export class IsPersonalOfferOwnerGuard extends RolesGuard implements CanActivate {
  constructor(protected readonly reflector: Reflector) {
    super(reflector);
  }

  canActivate(context: ExecutionContext): boolean {
    const req = context.switchToHttp().getRequest();
    const user: User = req.user;
    const idPersonalOffer = req.params.id;
    if (user.personalOffers && user.personalOffers.includes(idPersonalOffer)) {
      return true;
    }
    return super.canActivate(context);
  }
}
