import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document, Types } from 'mongoose';

export type JobDocument = Job & Document;
@Schema({ timestamps: true })
export class Job {
  @Prop({ required: true })
  name: string;

  @Prop({ required: true, default: true })
  hasPersonalOffer: boolean;

  @Prop({ required: true })
  validated: boolean;

  @Prop({ default: null, type: Types.ObjectId, ref: 'JobsGroups' })
  jobsGroup: Types.ObjectId;
}

export const JobSchema = SchemaFactory.createForClass(Job);
