import { CreatePersonalOfferDto } from '../../../src/personal-offers/dto/create-personal-offer.dto';
import { PersonalOfferDto } from '../../../src/personal-offers/dto/personal-offer.dto';
import { PersonalOffer } from '../../../src/personal-offers/schemas/personal-offer.schema';

export const personalOffersDtoDataMock: PersonalOfferDto[] = [
  {
    categories: {
      onlineProcedures: ['caf'],
      baseSkills: [],
      advancedSkills: [],
    },
  },
  {
    categories: {
      onlineProcedures: [
        'idDoc',
        'training',
        'health',
        'work',
        'caf',
        'foreigners',
        'needs',
        'franceConnect',
        'taxes',
        'housing',
        'retirement',
        'scolarity',
        'transport',
        'autres',
      ],
      baseSkills: ['computer', 'internet'],
      advancedSkills: [],
    },
  },
  {
    categories: {
      onlineProcedures: [],
      baseSkills: [],
      advancedSkills: [],
    },
  },
];

export const createPersonalOffersDtoDataMock: CreatePersonalOfferDto[] = [
  {
    structureId: '6093ba0e2ab5775cfc01ed3e',
    personalOffer: personalOffersDtoDataMock[0],
  },
  {
    structureId: '6093ba0e2ab5775cfc01fffe',
    personalOffer: personalOffersDtoDataMock[1],
  },
  {
    structureId: '6093ba0e2ab5775cfc01fffe',
    personalOffer: personalOffersDtoDataMock[0],
  },
  {
    structureId: '6093ba0e2ab5775cfc01ed3e',
    personalOffer: personalOffersDtoDataMock[2],
  },
];

export const updatePersonalOffersDtoDataMock: PersonalOfferDto[] = [
  {
    categories: {
      onlineProcedures: [],
      baseSkills: [],
      advancedSkills: [],
    },
  },
  {
    categories: {
      onlineProcedures: [
        'idDoc',
        'training',
        'health',
        'work',
        'caf',
        'foreigners',
        'needs',
        'franceConnect',
        'taxes',
        'housing',
        'retirement',
        'scolarity',
        'transport',
        'autres',
      ],
      baseSkills: ['computer', 'internet'],
      advancedSkills: [],
    },
  },
];

export const personalOffersDataMock: PersonalOffer[] = [
  {
    _id: '1234ba0e2ab5775cfc01ed3e',
    categories: {
      onlineProcedures: ['caf'],
      baseSkills: [],
      advancedSkills: [],
    },
    createdAt: 'Wed Mar 16 2022 14:29:11 GMT+0100 (heure normale d’Europe centrale)',
    updatedAt: 'Wed Mar 16 2022 17:29:11 GMT+0100 (heure normale d’Europe centrale)',
  } as PersonalOffer,
  {
    _id: '2345ba0e2ab5775cfc01ed4d',
    categories: {
      onlineProcedures: [
        'idDoc',
        'training',
        'health',
        'work',
        'caf',
        'foreigners',
        'needs',
        'franceConnect',
        'taxes',
        'housing',
        'retirement',
        'scolarity',
        'transport',
        'autres',
      ],
      baseSkills: ['computer', 'internet'],
      advancedSkills: [],
    },
    createdAt: 'Wed Mar 16 2022 14:29:11 GMT+0100 (heure normale d’Europe centrale)',
    updatedAt: 'Wed Mar 16 2022 17:29:11 GMT+0100 (heure normale d’Europe centrale)',
  } as PersonalOffer,
];
